;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; ID:      $Id: package.lisp,v 1.9 2003/08/05 22:56:25 kevin Exp $
;;;; Purpose: Package definition for XLUnit
;;;;
;;;; $Id: package.lisp,v 1.9 2003/08/05 22:56:25 kevin Exp $
;;;; *************************************************************************

(in-package #:cl-user)

(defpackage #:xlunit
  (:use #:cl)
  (:export
   
   ;; test-case.lisp
   #:test-case
   #:def-test-method
   #:set-up
   #:tear-down
   #:run
   #:run-test
   #:make-test

   ;; assert
   #:assert-true
   #:assert-false
   #:assert-equal
   #:assert-eql
   #:assert-not-eql
   #:test-failure
   #:failure

   ;; suite.lisp
   #:textui-test-run
   #:make-test-suite
   #:setup-testsuite-named
   #:teardown-testsuite-named
   #:add-test
   #:named-test
   #:remove-test
   #:tests
   #:get-suite
   #:test-suite
   #:run-on-test-results
   
   ;; printer.lisp
   #:summary
   
   ;; result.lisp
   #:test-results
   #:make-test-results
   #:was-successful
   )
  (:documentation "This is the XLUnit Framework."))

